File: changelog

package info (click to toggle)
yacas 1.3.6-2
  • links: PTS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 7,176 kB
  • ctags: 3,520
  • sloc: cpp: 13,960; java: 12,602; sh: 11,401; makefile: 552; perl: 517; ansic: 381
file content (436 lines) | stat: -rw-r--r-- 16,326 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
yacas (1.3.6-2) unstable; urgency=medium

  * yacasinit.ys is now installed in /usr/share/yacas/scripts (Closes: #815924).
  * debian/watch file now points to github.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 25 Feb 2016 22:17:50 +0100

yacas (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6. No changes were needed.
  * Updated DH_COMPAT and debhelper build-dependency to version 9.
  * The package compiles using hardening options.
  * In this revision, yacas can be built reproducibly (Closes: #791845).
    Thanks to Reiner Herrmann for providing a patch.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 26 Dec 2015 14:52:39 +0100

yacas (1.3.3-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.4. No changes were needed.
  * Use of fortified libc functions in the make target.
  * Migration to unstable.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 07 May 2013 20:09:17 +0200

yacas (1.3.3-1) experimental; urgency=low

  * New upstream release.
  * When compiling the new version of yacas, it was found that the distclean
    target didn't get rid of all changes made when configuring the package.
    Thus, it was necessary to execute a dpkg-source --commit to recover those
    changes in this patch file. See file: 01_locchanges.patch

 -- Muammar El Khatib <muammar@debian.org>  Sat, 22 Dec 2012 09:50:06 +0100

yacas (1.3.2-1) unstable; urgency=low

  * Bump Standards-Version to 3.9.3. No changes were needed.
  * New upstream release.
  * Dropped unneeded build dependency on quilt as well as calls to it in
    debian/rules file.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 20 May 2012 11:57:13 +0200

yacas (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 04 Dec 2011 02:15:58 +0100

yacas (1.2.2-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.2. No changes were needed.
  * Maintainer's mail has been changed.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Build with -fpermissive. LP: #832827. (Closes: #624980). Thanks to
    Matthias Klose for providing a patch.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 18 Sep 2011 11:30:02 +0200

yacas (1.2.2-5) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * debian/watch file has been fixed.
  * debian/patches: 02_changing_Makefile_in.dpatch has been added in order to
    make yacas compile against the latest GCC version.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 05 Feb 2010 08:49:55 -0430

yacas (1.2.2-4) unstable; urgency=low

  * Bump Standards-Version to 3.8.3
  * The problem in the yacas's documentation due a missing javascript has been
    fixed. The needed *.js files are provided now. (Closes: #523304)
  * Yacas now depends on gnuplot so that the plot functions will give visual
    output. (Closes: #546805)
  * config.sub and config.guess files have been updated, so yacas does not FTBFS
    in GNU/kFreeBSD anymore.  (Closes: #493734)
  * debian/control: autotools-dev has been added in the Build-Depends field.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 04 Oct 2009 17:36:16 -0430

yacas (1.2.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by KiBi (Closes: #456066)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 21:36:10 +0100

yacas (1.2.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.7.3
  * lynx was erased from Build-Depends field.
  * '/usr/share/doc/yacas/changelog.gz does not contain a changelog' bug has
    been fixed in this revision. (Closes: #456307)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 22 Dec 2007 20:29:21 -0430

yacas (1.2.2-2) unstable; urgency=low

  * 'yacas: postinst failure compiling emacs elisp files' bug has been fixed.
    (Closes: #453748)
  * 'yacas: fails to configure with emacsen installed' bug has been fixed.
    (Closes: #453744)
  * yacas no longer ships any .el files hence debian/emacsen-* files has been
    deleted.
  * debian/control: yacas is no longer suggesting emacs and yacas-proteus.
  * debian/copyright: the copyritght file has been improved in this revision.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun, 02 Dec 2007 01:24:01 -0400

yacas (1.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #424878)
  * A symlink against books.html has been created. (Closes: #424889)
  * /usr/share/doc/yacas-doc/html/proteusbooks.html no longer remains after
    purging since yacas-proteus is not being provided anymore.
    (Closes: #358401)
  * A watch file was added in this revision.
  * yacas.menu file was changed to fit new policy about menu files.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Fri, 21 Sep 2007 11:26:59 -0400

yacas (1.0.57-3) unstable; urgency=low

  * New maintainer. (Closes: #405734)
  * Bump Standards-Version to 3.7.2.
  * The yacas' rpatch to /tmp/buildd/yacas-1.0.57/debian/yacas/usr/lib has
    been fixed using chrpath -d. (Closes: #399227)
  * The yacas' rpath to /tmp/yacas/usr/bin/yacas has been fixed using chrpath
    -d. Thanks to Michael Hanke for the patch. (Closes: #399226)
  * Commented lines in rules file were removed since they were useless.
  * Descriptions of the package were corrected because they didn't have the
    webpage of the upstream author.
  * The debhelper version was changed to >= 5.
  * Added Build-depends on chrpath and dpatch.
  * Added patch: 02_changing_Makefile_in.diff because in old uploads
    Makefile.in was changed by hand and lsdiff complained.
  * Acknowledge NMUs (Closes: #376634, #382783, #379261, #379895, #295413,
    #266283, #332298, #333589, #338164)
  * Thanks to Steffen Joeris.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Tue, 27 Feb 2007 13:57:58 -0400

yacas (1.0.57-2.4) unstable; urgency=low

  * NMU
  * debian/control: Build-depend on automake1.9. (Closes: #376634)

 -- Eric Dorland <eric@debian.org>  Sat,  2 Sep 2006 21:23:35 -0400

yacas (1.0.57-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Call ./configure with --with-script-dir=/usr/share/yacas and make
    install with an appropriate scriptdir and htmldir variable in
    debian/rules so yacas can find the necessary files. (Closes: #382783)

 -- Arjan Oosting <arjanoosting@home.nl>  Tue, 15 Aug 2006 00:41:05 +0200

yacas (1.0.57-2.2) unstable; urgency=medium

  * Non-Maintainer Upload, to fix two different Failure To Build From Source
    issues.  Thanks to Arjan Oosting for the patches.
  * Added build dependency on libxi-dev. (Closes: #379261)
  * Modified debian/rules to call make install with datarootdir variable.
    (Closes: #379895)
  * Fixed YacasNotebook/yacas-notebook.el, so that it does not complain upon
    installing.  Thanks to Braun Gabor for the patch. (Closes: #295413).
  * Updated DH_COMPAT and debhelper build-dependency to version 4.
    Removed yacas.conffiles and yacas-proteus.conffiles since they weren't
    needed anymore.

 -- Margarita Manterola <marga@debian.org>  Sun, 30 Jul 2006 15:50:41 -0300

yacas (1.0.57-2.1) unstable; urgency=low

  * NMU to fix the bugs listed below, as the maintainer appears to be MIA.
  * Rebuild for C++ and FLTK transitions.  (Closes: #266283.)
  * src/errors.h: remove some gratuitous casts that led to build failures
    on 64-bit systems.
  * src/obmalloc.cpp: likewise, remove the totally bogus redefinition of
    off_t.  (Together with the previous change, closes: #332298.)
  * Update config.sub and config.guess from autotools-dev 20050803.1.
    (Closes: #333589.)
  * Add build dependencies on libxmu-dev and libxt-dev.  (Closes: #338164.)

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  9 Nov 2005 21:01:16 -0500

yacas (1.0.57-2) unstable; urgency=high

  * Make yacas depend on www-browser instead of lynx. Fix yacasinit.ys
    to reflect this. Thanks  A Mennucc <mennucc1@debian.org>. Closes:
    #294977
  * Setting urgency=high to get yacas to testing faster and close out
    grave bug: yacas will not start. See #276782 and #294993. I will
    hand-close these bugs after yacas makes it into testing
  * Updated README.Debian for instructions on www-browser
  * Removed dh_link for yacas proteus. Moved the soft-linking to the
    postinst of yacas proteus. This gets rid of a circular dependency
    issue when reinstalling yacas

 -- Gopal Narayanan <gopal@debian.org>  Sun, 13 Feb 2005 20:42:40 -0500

yacas (1.0.57-1) unstable; urgency=low

  * The "Better late than never" release. Missed uploading 1.0.56,
    sorry.
  * New upstream release
  * Yacas runs now! Thanks Dmitry Rutsky
    <rutsky@school.ioffe.rssi.ru>. Closes: #276782
  * Added opengl glut libraries to build-depends so that opengl yacas
    module can be built. Thanks to Daniel Schepler
    <daniel@frobnitz.ddts.net>. Closes: #253773
  * Patched src to make .yacas_history mode 600. Thanks wave++
    <wavexx@yuv.info>. Closes: #202259

 -- Gopal Narayanan <gopal@debian.org>  Wed,  5 Jan 2005 16:50:42 -0500

yacas (1.0.56-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Fri, 13 Feb 2004 00:25:40 -0500

yacas (1.0.55-6) unstable; urgency=low

  * Moved some rules statements from binary-indep target to install
    target so that autobuilders do not crash and burn. Fixes FTBFS bug.
    Thanks Matt Kraai for patch. Closes: #217971

 -- Gopal Narayanan <gopal@debian.org>  Tue, 28 Oct 2003 22:14:47 -0500

yacas (1.0.55-5) unstable; urgency=low

  * Fixed yacas.el failure in xemacs21. Thanks to Daniel Martin
    <martin@snowplow.org> for bug report and patch. Closes: #213107

 -- Gopal Narayanan <gopal@debian.org>  Sun, 19 Oct 2003 23:36:31 -0400

yacas (1.0.55-4) unstable; urgency=low

  * Fixed yet another FTBFS problem in upstream source. Build-tested in
    non-x86 platform as well. Hopefully this should work. Closes:
    #191943

 -- Gopal Narayanan <gopal@debian.org>  Wed, 13 Aug 2003 00:48:16 -0400

yacas (1.0.55-3) unstable; urgency=low

  * Compile yacas against native number library, avoid libgmp. It
    appears that libgmp support is not adequately maintained upstream.
    Will switch back later if warranted. This will help yacas build
    without problems. Closes: #191943.

 -- Gopal Narayanan <gopal@debian.org>  Tue, 12 Aug 2003 10:02:39 -0400

yacas (1.0.55-2) unstable; urgency=low

  * Moved yacas-doc to the doc section as prescribed in override section

 -- Gopal Narayanan <gopal@debian.org>  Sat,  9 Aug 2003 23:27:55 -0400

yacas (1.0.55-1) unstable; urgency=low

  * New upstream release
  * Fixes RC FTBFS errors. Thanks Daniel Schepler
    <schepler@math.berkeley.edu>. Closes: #191943
  * Sorry to have waited this long to upload upstream available for many
    months. Closes: #158413
  * Yacas now suggests texmacs. Thanks Ralf Treinen
    <treinen@debian.org>. Closes: #164617
  * Upstream has fixed the FromBase problem. Try saying FromBase(16,"7d")
    to see the right base conversion. Closes: #130379
  * Updated to latest standards version

 -- Gopal Narayanan <gopal@debian.org>  Fri,  8 Aug 2003 13:46:43 -0400

yacas (1.0.54-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Sun, 27 Apr 2003 21:35:06 -0400

yacas (1.0.51-1) unstable; urgency=medium

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Tue, 23 Apr 2002 13:50:51 -0400

yacas (1.0.50-1) unstable; urgency=low

  * New upstream release
  * Separated documentation into a new package yacas-doc. yacas will
    depend on it
  * A few changes in debian/rules to make things easier

 -- Gopal Narayanan <gopal@debian.org>  Wed, 13 Mar 2002 17:47:22 -0500

yacas (1.0.48-1) unstable; urgency=low

  * New upstream release
  * Upstream applies patch for build on hppa problem. Thanks Randolph
    Chung. Closes: #123139
  * Install yacas-notebook info page with section as per policy

 -- Gopal Narayanan <gopal@debian.org>  Thu, 24 Jan 2002 16:52:49 -0500

yacas (1.0.47-2) unstable; urgency=low

  * Compiled against newer libraries in testing. Does not depend anymore
    on 'old' libstdc++ anymore. Closes: #119757

 -- Gopal Narayanan <gopal@debian.org>  Mon, 19 Nov 2001 16:25:57 +0000

yacas (1.0.47-1) unstable; urgency=low

  * New upstream release
  * Added new yacas LaTeX support files to the installation

 -- Gopal Narayanan <gopal@debian.org>  Sun, 20 May 2001 20:21:27 -0400

yacas (1.0.46-1) unstable; urgency=low

  * New upstream release
  * added manpage for proteusworksheet

 -- Gopal Narayanan <gopal@debian.org>  Wed, 11 Apr 2001 20:13:31 -0400

yacas (1.0.45-1) unstable; urgency=low

  * New upstream release
  * yacas package now a multi-binary: Built new package yacas-proteus,
    an experimental fltk based GUI interface for yacas
  * Wrote sgml manpages for yacas and yacas_client. Build-depends on
    docbook-to-man added
  * Upgraded to Standards-Version 3.5.2.0
  * New release fixes problem with negative numbers in Decimal().
    Closes: #86150

 -- Gopal Narayanan <gopal@debian.org>  Mon, 12 Mar 2001 10:27:43 -0500

yacas (1.0.44-1) unstable; urgency=low

  * New upstream release
  * Rebuilt yacas with libgmp3. Closes: #81932

 -- Gopal Narayanan <gopal@debian.org>  Thu, 18 Jan 2001 17:20:13 -0500

yacas (1.0.43-1) unstable; urgency=low

  * New upstream release
  * Installed YacasNotebook subdirectory into
    /usr/share/doc/yacas/examples
  * Registered the new emacs mode yacas-notebook.el along with yacas.el
    to emacsen

 -- Gopal Narayanan <gopal@debian.org>  Sun, 19 Nov 2000 15:45:30 -0500

yacas (1.0.42-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Tue, 14 Nov 2000 13:19:48 -0500

yacas (1.0.41-3) unstable; urgency=low

  * Added debhelper to build dependency. Closes: #71911
  * Signed with my GPG key which was recently added to the keyring

 -- Gopal Narayanan <gopal@debian.org>  Mon, 18 Sep 2000 16:01:41 -0400

yacas (1.0.41-2) unstable; urgency=low

  * Added -I/usr/include/gmp2 for compilation. Fixes important bug build
    does not find gmp.h. Closes: #71450
  * Added clean option for extra libraries in src/Makefile.in

 -- Gopal Narayanan <gopal@debian.org>  Tue, 12 Sep 2000 10:42:29 -0400

yacas (1.0.41-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Sat,  9 Sep 2000 21:26:02 -0400

yacas (1.0.40-1) unstable; urgency=low

  * New upstream version. Closes: #42992
  * Added libgmp2-dev to build-depends
  * Converted rules files to debhelper format
  * Installed yacas.el as an emacsen package
  * Added emacsen as a suggested package
  * Removed empty README.debian
  * Really closing bug already fixed in previous version: depends on old
    version of stdc++ library. Closes: #53466
  * New Maintainer upload. Closing NMU bug from before. Thanks Gregor
    Hoffleit.  Closes: #56163
  * Fixes configure script does not look for gmp when compiling. New
    upstream version does. Closes: #61586
  * Left documentation directory in /usr/share/yacas. Put a link from
    /usr/share/yacas/documentation to /usr/share/doc/yacas/html. Closes:
    #70914
  * Once installed, this should close the ITA bug on wnpp. Closes:
    #68211
  * Registered documentation with doc-base

 -- Gopal Narayanan <gopal@debian.org>  Thu,  7 Sep 2000 14:07:14 -0400

yacas (1.0.27-0.2) frozen unstable; urgency=low

  * New Maintainer

 -- Gopal Narayanan <gopal@debian.org>  Thu, 31 Aug 2000 21:52:53 -0400

yacas (1.0.27-0.1) frozen unstable; urgency=low

  * NMU: the maintainer is taking a break of a few months, in the meantime,
    I'll try to care for this package. This version has been uploaded with
    the explicit okay of the maintainer for inclusion in potato.
  * New upstream version (fixes: #42992). yaglviewer has been dropped from
    the upstream distribution in favor of external viewers like superficie,
    therefore we can also remove the (depreciated) dependency on mesag3.
  * Recompiled with current libstdc++2.10 instead of libstdc++2.9-glibc2.1
    (fixes: 53466)
  * FHS transition for the documentation.
  * Compiled with GMP support.

 -- Gregor Hoffleit <flight@debian.org>  Sat, 15 Jan 2000 18:54:35 +0100

yacas (1.0.2-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  8 Jul 1999 15:26:45 -0700